<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosTrading/Lookup.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosTrading::Lookup</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../CosTrading.html" >CosTrading</a>
</div><div class="class-name">interface Lookup

</div><div class="links"><div class="file">File: <a href="../../File/CosTrading.idl.html" target="detail">CosTrading.idl</a></div> <div class="xref"></div> <div class="source"></div></div>  <img alt="Lookup-inheritance" src="Lookup-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Lookup-inheritance_map" />
<map name="Lookup-inheritance_map"><area alt="Scopes/CosTrading/TraderComponents.html" href="TraderComponents.html" shape="rect" coords="5, 7, 208, 31" />
<area alt="Scopes/CosTrading/SupportAttributes.html" href="SupportAttributes.html" shape="rect" coords="232, 7, 427, 31" />
<area alt="Scopes/CosTrading/ImportAttributes.html" href="ImportAttributes.html" shape="rect" coords="451, 7, 640, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Typedefs Summary:</div>
<div class="item"><div class="synopsis"><a href="../CosTrading.html#Istring" >Istring</a> <a class="name" id="Preference">Preference</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enums Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="HowManyProps">HowManyProps</a> none, some, all</div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Unions Summary:</div>
<div class="item"><div class="synopsis">union <a href="Lookup/SpecifiedProps.html" >SpecifiedProps</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Operations Summary:</div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="query">query</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >ServiceTypeName</a> <span class="variable">type</span>, <span class="keyword">in</span> <a href="../CosTrading.html#Constraint" >Constraint</a> <span class="variable">constr</span>, <span class="keyword">in</span> <a href="Lookup.html#Preference" >Preference</a> <span class="variable">pref</span>, <span class="keyword">in</span> <a href="../CosTrading.html#PolicySeq" >PolicySeq</a> <span class="variable">policies</span>, <span class="keyword">in</span> <a href="Lookup/SpecifiedProps.html" >SpecifiedProps</a> <span class="variable">desired_props</span>, <span class="keyword">in</span> unsigned long <span class="variable">how_many</span>, <span class="keyword">out</span> <a href="../CosTrading.html#OfferSeq" >OfferSeq</a> <span class="variable">offers</span>, <span class="keyword">out</span> <a href="OfferIterator.html" >OfferIterator</a> <span class="variable">offer_itr</span>, <span class="keyword">out</span> <a href="../CosTrading.html#PolicyNameSeq" >PolicyNameSeq</a> <span class="variable">limits_applied</span>)  <a href="Lookup.html#query" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="none">none</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="some">some</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="all">all</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Exceptions Summary:</div>
<div class="item"><div class="synopsis">exception <a href="Lookup/IllegalPreference.html" >IllegalPreference</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Lookup/IllegalPolicyName.html" >IllegalPolicyName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Lookup/PolicyTypeMismatch.html" >PolicyTypeMismatch</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Lookup/InvalidPolicyValue.html" >InvalidPolicyValue</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from TraderComponents">
<tr><td colspan="2" class="heading">Attributes Inherited from TraderComponents</td></tr>
<tr><td class="inherited"><a href="TraderComponents.html#lookup_if" title="attribute TraderComponents::lookup_if">lookup_if</a>,
<a href="TraderComponents.html#register_if" title="attribute TraderComponents::register_if">register_if</a>,
<a href="TraderComponents.html#link_if" title="attribute TraderComponents::link_if">link_if</a>,
<a href="TraderComponents.html#proxy_if" title="attribute TraderComponents::proxy_if">proxy_if</a>,
<a href="TraderComponents.html#admin_if" title="attribute TraderComponents::admin_if">admin_if</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from SupportAttributes">
<tr><td colspan="2" class="heading">Attributes Inherited from SupportAttributes</td></tr>
<tr><td class="inherited"><a href="SupportAttributes.html#supports_modifiable_properties" title="attribute SupportAttributes::supports_modifiable_properties">supports_modifiable_properties</a>,
<a href="SupportAttributes.html#supports_dynamic_properties" title="attribute SupportAttributes::supports_dynamic_properties">supports_dynamic_properties</a>,
<a href="SupportAttributes.html#supports_proxy_offers" title="attribute SupportAttributes::supports_proxy_offers">supports_proxy_offers</a>,
<a href="SupportAttributes.html#type_repos" title="attribute SupportAttributes::type_repos">type_repos</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from ImportAttributes">
<tr><td colspan="2" class="heading">Attributes Inherited from ImportAttributes</td></tr>
<tr><td class="inherited"><a href="ImportAttributes.html#def_search_card" title="attribute ImportAttributes::def_search_card">def_search_card</a>,
<a href="ImportAttributes.html#max_search_card" title="attribute ImportAttributes::max_search_card">max_search_card</a>,
<a href="ImportAttributes.html#def_match_card" title="attribute ImportAttributes::def_match_card">def_match_card</a>,
<a href="ImportAttributes.html#max_match_card" title="attribute ImportAttributes::max_match_card">max_match_card</a>,
<a href="ImportAttributes.html#def_return_card" title="attribute ImportAttributes::def_return_card">def_return_card</a>,
<a href="ImportAttributes.html#max_return_card" title="attribute ImportAttributes::max_return_card">max_return_card</a>,
<a href="ImportAttributes.html#max_list" title="attribute ImportAttributes::max_list">max_list</a>,
<a href="ImportAttributes.html#def_hop_count" title="attribute ImportAttributes::def_hop_count">def_hop_count</a>,
<a href="ImportAttributes.html#max_hop_count" title="attribute ImportAttributes::max_hop_count">max_hop_count</a>,
<a href="ImportAttributes.html#def_follow_policy" title="attribute ImportAttributes::def_follow_policy">def_follow_policy</a>,
<a href="ImportAttributes.html#max_follow_policy" title="attribute ImportAttributes::max_follow_policy">max_follow_policy</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Fri Apr 17 08:48:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
